API referenceEmails

Retrieve an attachment of a received email

GET/emails/receiving/{id}/attachments/{attachmentId}

Metadata and a download URL valid for up to one hour: presigned from your S3 bucket on Amazon SES, a link to …/content on Cloudflare.

Authorization

apiKey
AuthorizationBearer <token>

A project API key: Authorization: Bearer s0_…

In: header

Path Parameters

id*string
Length1 <= length <= 64
attachmentId*string
Length1 <= length <= 64

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/emails/receiving/string/attachments/string"
{  "id": "string",  "filename": "string",  "content_type": "string",  "content_disposition": "attachment",  "content_id": "string",  "size": 0,  "object": "attachment",  "download_url": "string",  "expires_at": "2019-08-24T14:15:22Z"}